import type { AppRouteModule } from '/@/router/types'

import { LAYOUT } from '/@/router/constant'
import { t } from '/@/hooks/web/useI18n'

const catalog: AppRouteModule = {
  path: '/design',
  name: 'Design',
  component: LAYOUT,
  redirect: '/design/main',
  meta: {
    title: '设计表管理'
  },
  children: [
    {
      path: 'main',
      name: 'Management',
      component: () => import('/@/views/design-directive/management/index.vue'),
      meta: {
        title: '目录管理',
        icon: 'mdi:file-table-box-multiple'
      }
    }
  ]
}

export default catalog
