import type { AppRouteModule } from '/@/router/types'

import { LAYOUT } from '/@/router/constant'
import { t } from '/@/hooks/web/useI18n'

const dashboard: AppRouteModule = {
  path: '/home',
  name: 'Home',
  component: LAYOUT,
  redirect: '/home/catalog',
  meta: {
    icon: 'ion:home-outline',
    title: t('routes.dashboard.welcome')
  },
  children: [
    {
      path: 'catalog',
      name: 'Catalog',
      component: () => import('/@/views/design-directive/catalog/index.vue'),
      meta: {
        title: '数量表列表',
        icon: 'bx:bx-home'
      }
    }
  ]
}

export default dashboard
